import { ElementRef } from '@angular/core';
import { NgControl } from '@angular/forms';
export declare class BbInput {
    private _ngControl;
    private _elementRef;
    private hasFocus$;
    private isDisabled$;
    private isReadonly$;
    constructor(_ngControl: NgControl, _elementRef: ElementRef<HTMLInputElement | HTMLTextAreaElement>);
    readonly hasFocus: import("rxjs").Observable<boolean>;
    readonly isDisabled: import("rxjs").Observable<boolean>;
    readonly isReadonly: import("rxjs").Observable<boolean>;
    onFocusChange(hasFocus: boolean): void;
    type: string;
    private _type;
    id: string | null;
    private _id;
    disabled: boolean;
    private _disabled;
    readonly: boolean;
    private _readonly;
}
